// This Source Code Form is subject to the terms of the Mozilla Public
// License, v. 2.0. If a copy of the MPL was not distributed with this
// file, You can obtain one at https://mozilla.org/MPL/2.0/.
input(*ngIf="type === 'text'", nz-input, placeholder="Basic usage")

textarea(*ngIf="type === 'textarea'", rows="4", nz-input, placeholder="Write here")

nz-input-group(*ngIf="type === 'password'", [nzSuffix]="suffixTemplate")
  input([type]="passwordVisible ? 'text' : 'password'", nz-input, placeholder="Input password")

ng-template(#suffixTemplate)
  i(nz-icon, [nzType]="passwordVisible ? 'eye-invisible' : 'eye'", (click)="passwordVisible = !passwordVisible")
